cURL
curl --request POST \ --url https://api.fieldwise.ai/api/v1/documents/ingest/url \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "external_id": "doc123", "metadata": { "category": "finance", "details": { "year": 2023 }, "tags": [ "quarterly", "report" ] }, "url": "https://example.com/document.pdf" } '
{ "data": { "task_identifier": "<string>", "file_path": "<string>", "external_id": "<string>" }, "success": true, "error": { "error_code": "RESOURCE_NOT_FOUND", "message": "Resource not found" }, "meta": { "timestamp": "2023-11-07T05:31:56Z", "version": "1.0" } }
Ingest a document from a URL.
Documentation IndexFetch the complete documentation index at: https://docs.fieldwise.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.fieldwise.ai/llms.txt
Use this file to discover all available pages before exploring further.
Request model for ingesting documents via URL.
URL of the document to ingest
Document metadata (must be primitive types, arrays, or nested objects)
External identifier
255
Successful Response
Response data
Show child attributes
Schema for API error responses.
{ "error_code": "RESOURCE_NOT_FOUND", "message": "Resource not found"}
Metadata for API responses